Front-end Frameworks v2.4
====================

A collection of best front-end frameworks for faster and easier web development.

## Twitter Bootstrap

> Sleek, intuitive, and powerful front-end framework for faster and easier web development.  

**Responsive:** Yes  

**Website:** http://twitter.github.com/bootstrap/

## Foundation

> The most advanced responsive front-end framework in the world.

Foundation 3 is built with Sass, a powerful CSS preprocessor, which allows us to much more quickly develop Foundation itself and gives you new tools to quickly customize and build on top of Foundation.

**Responsive:** Yes  

**Website:** http://foundation.zurb.com/

## 960 Grid System

> Simple grid system

The 960 Grid System is an effort to streamline web development workflow by providing commonly used dimensions, based on a width of 960 pixels. There are two variants: 12 and 16 columns, which can be used separately or in tandem.

**Responsive:** Yes  

**Website:** http://960.gs/

## Skeleton

> A Beautiful Boilerplate for Responsive, Mobile-Friendly Development.  

Skeleton is a small collection of CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone.  

**Responsive:** Yes  

**Website:** http://www.getskeleton.com/

## 99lime HTML KickStart

> Ultra–Lean HTML Building Blocks for Rapid Website Production.  

HTML KickStart is an ultra–lean set of HTML5, CSS, and jQuery (javascript) files, layouts, and elements designed to give you a headstart and save you 10's of hours on your next web project.  

**Responsive:** No  

**Website:** http://www.99lime.com/

## Kube

> CSS-framework for professional developers.  

Minimal and enough. Adaptive and responsive. Revolution grid and beautiful typography. No imposed styles and freedom.  

**Responsive:** Yes  

**Website:** http://imperavi.com/kube/

## Flaminwork

> The tiny front-end framework for lazy developers.

**Responsive:** No  

**Website:** http://flaminwork.com/

## G5 Framework

> (X)HTML5, CSS3, PHP & jQuery Front End Framework.  
 
G5 Framework started as a personal project. In an attempt to speed up workflow, reuse the best coding practices & similar coding techniques, the framework serves as a starter file for new websites.

**Responsive:** No  

**Website:** http://framework.gregbabula.info/

## Easy Framework

> Your new starting point for every front-end projects!  
 
Easy is a CSS/HTML/JavaScript framework started as a personal project and then grew into something more. The idea behind it is to reduce the amount of time spent on setting up the basic master HTML template by reusing the same coding techniques.

**Responsive:** No  

**Website:** http://easyframework.com/

## Blueprint

Blueprint is a CSS framework, which aims to cut down on your development time. It gives you a solid foundation to build your project on top of, with an easy-to-use grid, sensible typography, useful plugins, and even a stylesheet for printing.

**Responsive:** No  

**Website:** http://www.blueprintcss.org/

## YAML

> “Yet Another Multicolumn Layout” (YAML) 
 
YAML is an (X)HTML/CSS framework for creating modern and flexible floated layouts. The structure is extremely versatile in its programming and absolutely accessible for end users.

**Responsive:** Yes  

**Website:** http://www.yaml.de/

## BlueTrip

A full featured and beautiful CSS framework which originally combined the best of Blueprint, Tripoli (hence the name), Hartija, 960.gs, and Elements, but has now found a life of its own.

**Responsive:** No  

**Website:** http://bluetrip.org/

## YUI 2: Grids CSS

The foundational YUI Grids CSS offers four preset page widths, six preset templates, and the ability to stack and nest subdivided regions of two, three, or four columns. The 4kb file provides over 1000 page layout combinations.

**Responsive:** No  

**Website:** https://developer.yahoo.com/yui/grids/

## Elements

> Elements is a down to earth CSS framework.

It was built to help designers write CSS faster and more efficient. Elements goes beyond being just a framework, it’s its own project workflow.It has everything you need to complete your project, which makes you and your clients happy.

**Responsive:** No  

**Website:** http://elements.projectdesigns.org/

## 52framework

With HTML5 support coming so fast, with the tiniest of hacks we are able to use it today in virtually al browsers. Using HTML5 makes for much cleaner mark up. This framework fully uses all the great advantages of HTML5.

**Responsive:** No  

**Website:** http://52framework.com/

## elastiCSS

A simple css framework to layout web-based interfaces, based on the printed layout techniques of 4 columns but with capabilities to  unlimited column combinations. and capacity to make elastic, fixed and liquid layout easily  

**Responsive:** No  

**Website:** http://elasticss.com/

## Boilerplate

> noun standardized pieces of text for use as clauses in contracts or as part of a computer program.

As one of the original authors of Blueprint CSS I’ve decided to re-factor my ideas into a stripped down framework which provides the bare essentials to begin any project. This framework will be lite and strive not to suggest un-semantic naming conventions. You’re the designer and your craft is important.

**Responsive:** No  

**Website:** http://code.google.com/p/css-boilerplate/

## Emastic

Emastic is a CSS Framework, it’s continuing mission: to explore a strange new world, to seek out new life and new web spaces, to boldly go where no CSS Framework has gone before.

**Responsive:** No  

**Website:** http://code.google.com/p/emastic/

## Malo

> Malo is ultra small css library for building web sites.

Malo is ultra small css library for building web sites. It is meant to be structural base for small or medium web sites. Malo derives from it’s bigger brother Emastic CSS Framework.

**Responsive:** No  

**Website:** http://code.google.com/p/malo/

## The Golden Grid

The Golden Grid is a web grid system. It 's a product of the search for the perfect modern grid system. It 's meant to be a CSS tool for grid based web sites.

**Responsive:** No  

**Website:** http://code.google.com/p/the-golden-grid/
